# Function safeThreshold

- safeThreshold<K1>(...args): ToExtPropKey<K1> extends "Ethereum"
  ? ObjectFromMappingEntries<readonly [readonly ["Ethereum", 32]], 1>["Ethereum" & ToExtPropKey<K1>] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Ethereum", 32]], 1>["Ethereum" & ToExtPropKey<K1>]
  : never

- #### Type Parameters

  - #### K1 extends "Ethereum"

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends "Ethereum"
  ? ObjectFromMappingEntries<readonly [readonly ["Ethereum", 32]], 1>["Ethereum" & ToExtPropKey<K1>] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Ethereum", 32]], 1>["Ethereum" & ToExtPropKey<K1>]
  : never

  - Defined in core/base/src/utils/mapping.ts:324

Generated using TypeDoc